biome-runtime-bindings

Operations of the Biome Host API. Paths are relative to your deployment's API host.

GET /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings

List runtime placement bindings for this installation

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
installationIdpathstringyes
projectIdpathstringyes
StatusDescriptionBody
200application/json RuntimeBindingResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings

Bind this installation to a runtime with label constraints

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
installationIdpathstringyes
projectIdpathstringyes

Request body: application/json CreateRuntimeBindingDto

StatusDescriptionBody
201application/json RuntimeBindingResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PATCH /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}

Patch operational filters or in-flight policy on a non-active runtime binding

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
bindingIdpathstringyes
installationIdpathstringyes
projectIdpathstringyes

Request body: application/json UpdateRuntimeBindingDto

StatusDescriptionBody
200application/json RuntimeBindingResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}/drain

Stop new dispatch and begin the retained runtime-binding revocation lifecycle

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
bindingIdpathstringyes
installationIdpathstringyes
projectIdpathstringyes
StatusDescriptionBody
200application/json RuntimeBindingResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/projects/{projectId}/biome-installations/{installationId}/runtime-bindings/{bindingId}/retry

Retry identity provisioning for a pending or visibly failed binding

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
bindingIdpathstringyes
installationIdpathstringyes
projectIdpathstringyes
StatusDescriptionBody
200application/json RuntimeBindingResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto